@file:Suppress("UnstableApiUsage")

import java.util.Locale

pluginManagement {
    includeBuild("build-logic")
    repositories {
        google()
        gradlePluginPortal()
        mavenCentral()
    }
}
plugins {
    id("org.gradle.toolchains.foojay-resolver-convention") version "0.8.0"
}

dependencyResolutionManagement {
    repositories {
        google()
        mavenCentral()
        maven { url = uri("https://jitpack.io") }
        maven("https://maven.pkg.jetbrains.space/public/p/ktor/eap")
        maven("https://maven.pkg.jetbrains.space/kotlin/p/kotlin/dev")
        maven("https://plugins.gradle.org/m2")
        maven("https://git.ucsc.edu/api/v4/projects/12162/packages/maven")
        maven("https://oss.sonatype.org/content/repositories/snapshots")
    }
}

rootProject.name = "Temerity".lowercase(Locale.getDefault())
include("temerity")

